Page MenuHomePhabricator

[x32] Fix segmented stacks support
ClosedPublic

Authored by pavel.v.chupin on Sep 8 2014, 8:16 AM.

Details

Summary

Update segmented-stacks*.ll tests with x32 target case and make
corresponding changes to make them pass.

Diff Detail

Repository
rL LLVM

Event Timeline

pavel.v.chupin retitled this revision from to [x32] Fix segmented stacks support.
pavel.v.chupin updated this object.
pavel.v.chupin edited the test plan for this revision. (Show Details)
pavel.v.chupin added subscribers: zinovy.nis, Unknown Object (MLST).
dschuff edited edge metadata.Sep 12 2014, 9:36 AM

I don't see anything objectionable but I'm also not terribly familiar with segmented stacks. Anyone else have comments?

Nadav, Rafael,

could you please take a look at this patch?

Thanks.

nadav edited edge metadata.Sep 18 2014, 8:57 AM

Pavel, I am sorry for the delay in review. I am not that familiar with this code. Can you check with svn-blame and see who are the last few people who touched the code?

Rafael,
Could you please review my patch? I see that in the past you did the major number of changes for the code I'm editing here.
Thanks.

rafael accepted this revision.Sep 19 2014, 1:20 PM
rafael edited edge metadata.

The only thing I know is using segmented stacks with LLVM is rust, and even that just as a stack probe while we add proper probe support.

In other words, this LGTM since it is pretty clear it doesn't change old behavior :-)

lib/Target/X86/X86ISelLowering.cpp
18353 ↗(On Diff #13402)

Please clang-format this.

This revision is now accepted and ready to land.Sep 19 2014, 1:20 PM

Thanks. I'll fix formatting before commit.

Diffusion closed this revision.Sep 22 2014, 6:21 AM
Diffusion updated this revision to Diff 13930.

Closed by commit rL218247 (authored by pvchupin).